//
//  NoDeviceTip.m
//  Unity-iPhone
//
//  Created by duowan123 on 2021/11/2.
//

#import "NoDeviceTip.h"

@implementation NoDeviceTip

/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect {
    // Drawing code
}
*/

-(instancetype)initWithFrame:(CGRect)frame{
    
    if (self = [super initWithFrame:frame]){
        [self addSubview:self.shoseimage];
        [self addSubview:self.tipLabel];
        NSLog(@"========================");
    }
    return self;
    
}

#pragma mark -------
-(UIImageView*)shoseimage{
    if (!_shoseimage){
        _shoseimage = [[UIImageView alloc] initWithFrame:CGRectMake(0, 0, 100, 100)];
        _shoseimage.image = [MYFactoryManager imageString:@"pop_image_circle"];
//        _shoseimage.backgroundColor =[UIColor redColor];
    }
    return _shoseimage;
}

-(UILabel*)tipLabel{
    if (!_tipLabel) {
        _tipLabel = [[UILabel alloc] initWithFrame:CGRectMake(0, 100, 100, 50)];
        _tipLabel.text = @"暂无数据";
        _tipLabel.font = [UIFont boldSystemFontOfSize:15];
        _tipLabel.textColor = [UIColor whiteColor];
        _tipLabel.textAlignment = 1;
    }
    return _tipLabel;;
}



@end
